<!-- $Id: cisco-dsc.mrc,v 1.4 2003/03/14 00:46:21 ehood Exp $ -->
<!-- ==================================================================== -->
<!--  Description:
	MHonArc resource file for use with mha-cisco script.

	This resource file is read after the archive has
	been written, but before dsc pages are written.  This
	file redefines resources to support intra-page linking
	of messages in dsc pages.

      Author(s):
	Earl Hood, <earl@earlhood.com> (Original Author)
  -->
<!-- ==================================================================== -->

<!-- DSC-META-TAGS defines the meta tags to be defined for each
     discussion page.
  -->
<DefineVar chop>
DSC-META-TAGS
<meta name="From" content="$FROM$">
<meta name="msgid" content="$MSGID$">
<meta name="dsclocation" content="$CIS-LOCATION$/dsc$MSGNUM$.html">
<meta name="msglocation" content="$CIS-LOCATION$/$MSG$">
<meta name="articlecount" content="$MSGTORDNUM(TEND)$">
<meta name="searchdate" content="$MSGGMTDATE(;%e %b %Y %H:%M:%S -0000)$">
<meta name="createdate" content="$MSGGMTDATE(;%Y-%m-%d)$">
<meta name="Newsgroup" content="$CIS-GROUP$">
</DefineVar>

<!-- Top discussion page navigation bar. -->
<DefineVar chop>
DSC-MAIN-NAV
<div class="msgTNav">
<table class="msgTNavTbl" cellspacing="1" cellpadding="4" width="100%">
<tr valign="baseline">
<td align="center" width="33%">
<strong><a href="$IDXFNAME$#$MSGNUM$">$DATE-IDX-LABEL$</a></strong></td>
<td align="center" width="33%">
<strong>$BACK-TO-TOPIC-LINK$</strong></td>
<td align="center" width="34%">
<strong><a href="$TIDXFNAME$#$MSGNUM$">$THREAD-IDX-LABEL$</a></strong></td>
</tr>
</table>
</div>
</DefineVar>

<!-- message navigation bar. -->
<DefineVar chop>
DSC-MSG-NAV
<div class="msgTNav">
<a name="$MSGNUM$"></a>
<table class="msgTNavTbl" cellspacing="1" cellpadding="4" width="100%">
<tr valign="baseline">
<td align=center
><strong><a href="$MSG$">Article $MSGTORDNUM(CUR)$</a>
of $MSGTORDNUM(TEND)$</strong></td>
<td align=center>$BUTTON(TPREVIN)$</td>
<td align=center>$BUTTON(TTOP)$</td>
<td align=center>$BUTTON(TEND)$</td>
<td align=center>$BUTTON(TNEXTIN)$</td>
</td></tr>
</table>
</div>
</DefineVar>

<!-- Beginning of discussion page. -->
<DefineVar chop>
DSC-BEGIN
<html>
<head>
<title>$SUBJECTNA$</title>
$STYLESHEET-LINK$
$DSC-META-TAGS$
</head>
<body>
$DSC-MAIN-NAV$
<hr>
<table width="100%">
<tr valign="baseline">
<td align="left"><div class="msgSubject">
<h2>$SUBJECTNA$</h2>
</div></td>
</tr>
</table>
</DefineVar>

<!-- End of discussion page.  We give an unusually large number to
     $TSLICE$ to make sure that the complete thread will be
     rendered at the bottom of the page.
  -->
<DefineVar chop>
DSC-END
$TSLICE(100000;0;1)$
<hr>
$DSC-MAIN-NAV$
</body>
</html>
</DefineVar>

<!-- ==================================================================== -->

<!-- Redefine button resources to use intra-page linking -->
<TPrevTopButton chop>
<a href="dsc$MSGNUM(TPREVTOP)$.html">&lt;&lt;Prev&nbsp;Thread</a>
</TPrevTopButton>
<TPrevTopButtonIA chop>
&lt;&lt;Prev&nbsp;Thread
</TPrevTopButtonIA>

<TNextTopButton chop>
<a href="dsc$MSGNUM(TNEXTTOP)$.html">Next&nbsp;Thread&gt;&gt;</a>
</TNextTopButton>
<TNextTopButtonIA chop>
Next&nbsp;Thread&gt;&gt;
</TNextTopButtonIA>

<!-- In-thread button resources changed to do relative linking since
     messages will be on the same page.
  -->
<TTopButton chop>
<a href="#$MSGNUM(TTOP)$"><strong>$FIRST-IN-THREAD-LABEL$</strong></a>
</TTopButton>
<TTopButtonIA chop>
<span class="iaText"><strong>$FIRST-IN-THREAD-LABEL$</strong></span>
</TTopButtonIA>

<TEndButton chop>
<a href="#$MSGNUM(TEND)$"><strong>$LAST-IN-THREAD-LABEL$</strong></a>
</TEndButton>
<TEndButtonIA chop>
<span class="iaText"><strong>$LAST-IN-THREAD-LABEL$</strong></span>
</TEndButtonIA>

<TPrevInButton chop>
<a href="#$MSGNUM(TPREVIN)$"
><strong>&lt;$PREV-IN-THREAD-LABEL$</strong></a>
</TPrevInButton>
<TPrevInButtonIA chop>
<span class="iaText"><strong>&lt;$PREV-IN-THREAD-LABEL$</strong></span>
</TPrevInButtonIA>

<TNextInButton chop>
<a href="#$MSGNUM(TNEXTIN)$"
><strong>$NEXT-IN-THREAD-LABEL$&gt;</strong></a>
</TNextInButton>
<TNextInButtonIA chop>
<span class="iaText"><strong>$NEXT-IN-THREAD-LABEL$&gt;</strong></span>
</TNextInButtonIA>

<!-- thread slice -->
<TSliceBeg>
<div class="tSlice">
<ul>
</TSliceBeg>

<TSliceTopBegin>
<li><b><a href="#$MSGNUM$">$SUBJECTNA$</a></b>, <i>$FROMNAME$</i>
</TSliceTopBegin>

<TSliceLiTxt>
<li><b><a href="#$MSGNUM$">$SUBJECTNA$</a></b>, <i>$FROMNAME$</i>
</TSliceLiTxt>

<TSliceSingleTxt>
<li><b><a href="#$MSGNUM$">$SUBJECTNA$</a></b>, <i>$FROMNAME$</i>
</TSliceSingleTxt>

<TSliceTopBeginCur>
<li><span class="sliceCur"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em>&nbsp;<b></span>&lt;=</b>
</TSliceTopBeginCur>

<TSliceLiTxtCur>
<li><span class="sliceCur"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em>&nbsp;<b></span>&lt;=</b>
</TSliceLiTxtCur>

<TSliceSingleTxtCur>
<li><span class="sliceCur"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em>&nbsp;<b></span>&lt;=</b>
</TSliceSingleTxtCur>

<TSliceEnd>
</ul>
</div>
</TSliceEnd>

