<!-- $Id: cisco.mrc,v 1.10 2004/03/19 21:13:08 ehood Exp $ -->
<!-- ==================================================================== -->
<!--  Description:
	MHonArc resource file for use with mha-cisco script.

	NOTE: Some custom resource variables are used directly
	      by mha-cisco when generating the discussion pages,
	      even if they are not referenced here.

      Author(s):
	Earl Hood, <earl@earlhood.com> (Original Author)
  -->
<!-- ==================================================================== -->

<!-- :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!--  Custom Text Variables                                             -->
<!-- :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->

<!-- Variable for defining any <meta http-equiv> tags. -->
<DefineVar chop>
HTTP-EQUIV
</DefineVar>

<DefineVar chop>
THREAD-IDX-LABEL
Thread&nbsp;Index
</DefineVar>

<DefineVar chop>
DATE-IDX-LABEL
Date&nbsp;Index
</DefineVar>

<DefineVar chop>
ALL-LISTS-LABEL
All&nbsp;Groups
</DefineVar>

<DefineVar chop>
PREV-MSG-BUTTON-LABEL
&lt;prev
</DefineVar>

<DefineVar chop>
NEXT-MSG-BUTTON-LABEL
next&gt;
</DefineVar>

<DefineVar chop>
DATE-IDX-BUTTON-LABEL
Date
</DefineVar>

<DefineVar chop>
THREAD-IDX-BUTTON-LABEL
Thread
</DefineVar>

<DefineVar chop>
FIRST-IN-THREAD-LABEL
First&nbsp;in&nbsp;Thread
</DefineVar>

<DefineVar chop>
LAST-IN-THREAD-LABEL
Last&nbsp;in&nbsp;Thread
</DefineVar>

<DefineVar chop>
PREV-IN-THREAD-LABEL
&lt;Prev&nbsp;in&nbsp;Thread
</DefineVar>

<DefineVar chop>
NEXT-IN-THREAD-LABEL
Next&nbsp;in&nbsp;Thread&gt;
</DefineVar>

<DefineVar chop>
CURRENT-THREAD-LABEL
Current&nbsp;Thread
</DefineVar>

<DefineVar chop>
PREV-BY-DATE-LABEL
Previous&nbsp;by&nbsp;Date
</DefineVar>

<DefineVar chop>
NEXT-BY-DATE-LABEL
Next&nbsp;by&nbsp;Date
</DefineVar>

<DefineVar chop>
PREV-BY-THREAD-LABEL
Previous&nbsp;by&nbsp;Thread
</DefineVar>

<DefineVar chop>
NEXT-BY-THREAD-LABEL
Next&nbsp;by&nbsp;Thread
</DefineVar>

<DefineVar chop>
COMPLETE-THREAD-LINK-LABEL
Complete&nbsp;Thread
</DefineVar>

<DefineVar chop>
INDEXES-LABEL
Indexes
</DefineVar>

<DefineVar chop>
BACK-TO-TOPIC-LABEL
Back&nbsp;to&nbsp;Topic
</DefineVar>

<DefineVar chop>
BACK-TO-TOPIC-LINK
<a href="/cgi-bin/search/topic/topic-director.pl"
><b>$BACK-TO-TOPIC-LABEL$</b></a>
</DefineVar>

<!-- ==================================================================== -->
<!--  Custom Variables							  -->
<!-- ==================================================================== -->

<!-- MSG-META-TAGS defines the meta tags to be defined for each
     message page.
  -->
<DefineVar chop>
MSG-META-TAGS
<meta name="From" content="$FROM$">
<meta name="msgid" content="$MSGID$">
<meta name="msglocation" content="$CIS-LOCATION$/$MSG$">
<meta name="searchdate" content="$MSGGMTDATE(;%e %b %Y %H:%M:%S -0000)$">
<meta name="Newsgroup" content="$CIS-GROUP$">
<meta name="ArticleNumber" content="$MSGHFIELD(CUR;x-mha-article)$">
</DefineVar>

<!-- STYLESHEET-LINK also used by mha-cisco. -->
<DefineVar chop>
STYLESHEET-LINK
<link rel="stylesheet" type="text/css" href="/news/stylesheet.css">
</DefineVar>

<!-- Search form markup.
     What's provided here is a default fallback form.
     TODO: Define markup that should be used (NOT USED!). -->
<DefineVar chop>
SEARCH-FORM
<!--SEARCH-FORM-->
<div class="searchForm">   
<form name=gs method=GET action="/groups">
<table class="searchFormTbl" cellpadding="0" cellspacing="1" width="100%">
<tr><td nowrap><small><a href="/advanced_newsgroup_search?"
    >Advanced&nbsp;Groups&nbsp;Search</a
    >&nbsp;&nbsp;&nbsp;&nbsp;<a href="/googlegroups/help.html">Help</a
    >&nbsp;</small></td>
</tr>
<tr><td valign=middle>
    <input type=hidden name=hl value="en">
    <input type=hidden name=lr value="">
    <input type=hidden name=ie value="ISO-8859-1">
    <input type=text name=q size=31 maxlength=2048 value="">
    <small><input type=submit name="btnG" value="Search"></small></td>
</tr>
<tr><td><small>
    <input type=radio name=meta value="group=cisco.*" checked>
    Search all Cisco Groups&nbsp;
    <input type=radio name=meta value="site=search">
    Search Google Groups&nbsp;</small></td>
</tr>
</table>
</form>
</div>
<!--/SEARCH-FORM-->
</DefineVar>

<!-- Link to thread index -->
<DefineVar chop>
THREAD-IDX-LINK
[<b><a href="$TIDXFNAME$">$THREAD-IDX-LABEL$</a></b>]
</DefineVar>

<!-- Link to date index -->
<DefineVar chop>
DATE-IDX-LINK
[<b><a href="$IDXFNAME$">$DATE-IDX-LABEL$</a></b>]
</DefineVar>

<!-- Link to software doing most of the work. -->
<DefineVar chop>
MHONARC-LINK
<em>Archive powered by <a href="http://www.mhonarc.org/">MHonArc</a></em>
</DefineVar>

<!-- View attachments: Used to format link to attachment listing page.
     NOTE: The variable name must be "VIEW-ATTACHMENTS".  mha-cisco
	   defines an rcvar hook and if a message has attachments,
	   the value of the variable will be printed.  However, if
	   there are no attachments, then the variable expands to the
	   empty string.

     The $X-ATTACHMENT-LIST$ variable is a special variable the will
     expand to the list of attachment filenames and descriptions (if
     provided).
  -->
<DefineVar chop>
VIEW-ATTACHMENTS
<div class="viewAttachments">
<a class="viewAttachmentLink"
   target="attachwin"
   href="http://topic.cisco.com/cgi-bin/attach_fetch.pl?artnum=$MSGHFIELD(CUR;x-mha-article)$&msgid=$MSGID:U$&group=$CIS-GROUP$">View Attachments</a>:
$X-ATTACHMENT-LIST$
</div>
</DefineVar>

<!-- ================================================================== -->
<!--    General Resources                                               -->
<!-- ================================================================== -->

<!-- Since we specify resource settings everytime, no need to save
     them in archive database.
  -->
<NoSaveResources>

<!-- Use POSIX strftime to format dates since we do not want a leading
     zero for the month day in the searchdate meta-tag
  -->
<PosixStrftime>

<!-- We should give credit where credit is due, but the style of
     the link does not go well with what we are trying to do here.
  -->
<NoDoc>

<!-- Extra header fields to store in database.
     NOTE: mha-cisco will auto-create the x-mha-article header field
     to contain the article number of the message.  This number
     is needed in other resources, so we include the header field
     here.
  -->
<FieldStore>
x-mha-article
</FieldStore>

<!-- MIME settings: We only care about textual content.  Attachments
     should be dropped.  We do not use MIMEEXCS since we want at
     least some info shown that an attachment was part of the message.
     To do this, we use m2h_null::filter.
  -->
<MIMEFilters override>
application/octet-stream;  mha_cisco::attachment_filter;
application/*;             mha_cisco::attachment_filter;
image/*;                   mha_cisco::attachment_filter;
audio/*;                   mha_cisco::attachment_filter;
video/*;                   mha_cisco::attachment_filter;
chemical/*;                mha_cisco::attachment_filter;
model/*;                   mha_cisco::attachment_filter;
application/x-patch;       m2h_text_plain::filter;      mhtxtplain.pl
message/delivery-status;   m2h_text_plain::filter;      mhtxtplain.pl
message/external-body;     m2h_msg_extbody::filter;     mhmsgextbody.pl
message/partial;           m2h_text_plain::filter;      mhtxtplain.pl
text/*;	                   m2h_text_plain::filter;	mhtxtplain.pl
text/enriched;	           m2h_text_enriched::filter;	mhtxtenrich.pl
text/html;                 m2h_text_html::filter;	mhtxthtml.pl
text/plain;                m2h_text_plain::filter;      mhtxtplain.pl
text/richtext;	           m2h_text_enriched::filter;	mhtxtenrich.pl
text/tab-separated-values; m2h_text_tsv::filter;        mhtxttsv.pl
text/x-html;	           m2h_text_html::filter;       mhtxthtml.pl
x-sun-attachment;          m2h_text_plain::filter;      mhtxtplain.pl
</MIMEFilters>

<!-- Arguments to content filters.
     CAUTION: Verify options against security concerns and make
	      any changes accordingly.

     Summary of settings:
	. Inline images if no disposition provided.
	. Use content-type-based icons for attachments, see ICONS
	  setting below.
	. Text/plain attachments should be saved to a separate file.
	  By default, MHonArc inlines all text/plain entities.
	. Fancy quote text in messages.
	. Make sure line lengths in text messages do not exceed 80
	  characters.
	. Suppress output of HTML document title for HTML entities.
  -->
<MIMEArgs override>
m2h_external::filter;	inline useicon
m2h_text_plain::filter;	attachcheck fancyquote quoteclass=msgQuote maxwidth=80
m2h_text_html::filter;	notitle
</MIMEArgs>

<!-- Make sure to choose text/plain over text/html, if possible.
  -->
<MIMEAltPrefs>
text/plain
text/html
</MIMEAltPrefs>

<!-- A little stricter MSGSEP.  Not important if CONLEN active.
     Try to be more strict than '^From ', but not too strict to deal
     with possible variations.
     (MSGSEP not applicable for MH-style mail folders)
  -->
<MsgSep>
^From \S+.*\d+:\d+:\d+
</MsgSep>

<!-- Icons settings copied from documentation.  Works with
     Apache server.  Icons not used in index, but attachment
     filter is given useicon argument.  If Apache is not used,
     or the icon URLs are different, this resource needs to
     be changed or the useicon argument removed from
     m2h_external::filter.
  -->
<Icons>
application/*;[20x22]/icons/generic.gif
application/msword;[20x22]/icons/layout.gif
application/postscript;[20x22]/icons/ps.gif
application/rtf;[20x22]/icons/layout.gif
application/x-csh;[20x22]/icons/script.gif
application/x-dvi;[20x22]/icons/dvi.gif
application/x-gtar;[20x22]/icons/tar.gif
application/x-gzip;[20x22]/icons/compressed.gif
application/x-ksh;[20x22]/icons/script.gif
application/x-latex;[20x22]/icons/tex.gif
application/octet-stream;[20x22]/icons/binary.gif
application/x-patch;[20x22]/icons/patch.gif
application/pdf;[20x22]/icons/pdf.gif
application/x-script;[20x22]/icons/script.gif
application/x-sh;[20x22]/icons/script.gif
application/x-tar;[20x22]/icons/tar.gif
application/x-tex;[20x22]/icons/tex.gif
application/x-zip-compressed;[20x22]/icons/compressed.gif
application/zip;[20x22]/icons/compressed.gif
audio/*;[20x22]/icons/sound1.gif
chemical/*;[20x22]/icons/sphere2.gif
image/*;[20x22]/icons/image2.gif
message/external-body;[20x22]/icons/link.gif
multipart/*;[20x22]/icons/layout.gif
text/*;[20x22]/icons/text.gif
video/*;[20x22]/icons/movie.gif
*/*;[20x22]/icons/generic.gif
</Icons>

<!-- ================================================================== -->
<!--	Main Index 							-->
<!-- ================================================================== -->

<!-- Set sorting order of main index pages: Reverse chronological.  -->
<Sort>
<Reverse>

<!-- Show dates in local time. -->
<UseLocalTime>

<IdxFName>
date.html
</IdxFName>

<!-- Default date format to use for dates.  This can be overridden
     on a per resource variable instance.
  -->
<MsgLocalDateFmt>
%B %d, %Y
</MsgLocalDateFmt>

<IdxPgBegin>
<html>
<head>
$HTTP-EQUIV$
<title>$IDXTITLE$</title>
$STYLESHEET-LINK$
</head>
<body>
<center>
<div class="idxTitle">
<span class="listTitle"><strong>$IDXTITLE$</strong></span>
</div>
<div class="metaIdxNav">
<nobr>$THREAD-IDX-LINK$<nobr>
</div>
</center>
</IdxPgBegin>

<ListBegin>
<hr>
<div class="dateList">
</ListBegin>

<!-- Date listing is done in day groups with the each day listed in bold
     and messages for that date listed under it.
  -->
<DayBegin>
<div class="dayGroup">
<strong>$MSGLOCALDATE$</strong>
<ul>
</DayBegin>

<DayEnd>
</ul>
</div>
</DayEnd>

<LITemplate>
<li>$SUBJECT$,
<i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%H:%M)$</tt></li>
</LITemplate>

<ListEnd>
</div>
<hr>
</ListEnd>

<IdxPgEnd>
<small>$MHONARC-LINK$</small>
</body>
</html>
</IdxPgEnd>

<!-- ================================================================== -->
<!--	Thread Index 							-->
<!-- ================================================================== -->

<!-- Reverse thread order. -->
<TReverse>

<TIdxFName>
threads.html
</TIdxFName>

<!-- Show no indicator of subject-based thread detection since most
     people do not care.
     NOTE: The blank line is important!
  -->
<TSubjectBeg>

</TSubjectBeg>

<TIdxPgBegin>
<html>
<head>
$HTTP-EQUIV$
<title>$TIDXTITLE$</title>
$STYLESHEET-LINK$
</head>
<body>
<center>
<div class="idxTitle">
<span class="listTitle"><strong>$TIDXTITLE$</strong></span>
</div>
<div class="metaIdxNav">
<nobr>$DATE-IDX-LINK$<nobr>
</div>
</center>
</TIdxPgBegin>

<THead>
<hr>
<div class="threadList">
<ul>
</THead>

<TTopBegin>
<li><div class="threadGroup">
<b>$SUBJECT$</b>,
<i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%Y/%m/%d)$</tt>
</TTopBegin>

<TTopEnd>
</div></li>
</TTopEnd>

<TLiTxt>
<li><b>$SUBJECT$</b>,
<i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%Y/%m/%d)$</tt>
</TLiTxt>

<TSingleTxt>
<li><div class="tSingle">
<b>$SUBJECT$</b>,
<i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%Y/%m/%d)$</tt>
</div></li>
</TSingleTxt>

<TFoot>
</ul>
</div>
<hr>
</TFoot>

<TIdxPgEnd>
<small>$MHONARC-LINK$</small>
</body>
</html>
</TIdxPgEnd>

<!-- ================================================================== -->
<!--	Message Pages							-->
<!-- ================================================================== -->

<ModTime>

<!-- We clip the subject title to 72 characters to prevent ugly pages
     due to very long subject lines.  The full subject text will still
     be shown in the formatted message header.
  -->
<MsgPgBegin>
<html>
<head>
$HTTP-EQUIV$
<title>$SUBJECTNA:72$</title>
$STYLESHEET-LINK$
<link rev="made" href="mailto:$FROMADDR$">
<link rel="start" href="../">
<link rel="contents" href="$TIDXFNAME$#$MSGNUM$">
<link rel="index" href="$IDXFNAME$#$MSGNUM$">
<link rel="prev" href="$MSG(TPREV)$">
<link rel="next" href="$MSG(TNEXT)$">
$MSG-META-TAGS$
</head>
<body>
<center>
<div class="metaIdxNav">
</div>
</center>
</MsgPgBegin>

<!-- Top navigation. -->
<PrevButton chop>
<a href="$MSG(PREV)$">$PREV-MSG-BUTTON-LABEL$</a>
</PrevButton>
<NextButton chop>
<a href="$MSG(NEXT)$">$NEXT-MSG-BUTTON-LABEL$</a>
</NextButton>
<TPrevButton chop>
<a href="$MSG(TPREV)$">$PREV-MSG-BUTTON-LABEL$</a>
</TPrevButton>
<TNextButton chop>
<a href="$MSG(TNEXT)$">$NEXT-MSG-BUTTON-LABEL$</a>
</TNextButton>

<PrevButtonIA chop>
<span class="iaText">$PREV-MSG-BUTTON-LABEL$</span>
</PrevButtonIA>
<NextButtonIA chop>
<span class="iaText">$NEXT-MSG-BUTTON-LABEL$</span>
</NextButtonIA>
<TPrevButtonIA chop>
<span class="iaText">$PREV-MSG-BUTTON-LABEL$</span>
</TPrevButtonIA>
<TNextButtonIA chop>
<span class="iaText">$NEXT-MSG-BUTTON-LABEL$</span>
</TNextButtonIA>

<!-- The following variables represent nav buttons for use in TOPLINKS
     resource.  We use variables so TOPLINKS can be modified without
     redefining TOPLINKS.
  -->
<DefineVar chop>
TOP-DATE-NAV
<span class="topDateNav"><nobr>$BUTTON(PREV)$&nbsp;<strong
>[<a href="$IDXFNAME$#$MSGNUM$">$DATE-IDX-BUTTON-LABEL$</a>]</strong
>&nbsp;$BUTTON(NEXT)$</nobr></span>
</DefineVar>

<DefineVar chop>
TOP-THREAD-NAV
<span class="topThreadNav"><nobr>$BUTTON(TPREV)$&nbsp;<strong
>[<a href="$TIDXFNAME$#$MSGNUM$">$THREAD-IDX-BUTTON-LABEL$</a>]</strong
>&nbsp;$BUTTON(TNEXT)$</nobr></span>
</DefineVar>

<TopLinks>
<center>
<div class="topLinks">
<table class="mainNav" width="100%">
<tr>
<td width="33%" align="left">$TOP-DATE-NAV$</td>
<td width="34%" align="center">$BACK-TO-TOPIC-LINK$</td>
<td width="33%" align="right">$TOP-THREAD-NAV$</td>
</tr>
</table>
</div>
</center>
</TopLinks>

<DefineVar chop>
COMPLETE-THREAD-LINK
<span class="cmplThreadLink"
>[<a href="dsc$MSGNUM(TTOP)$.html#$MSGNUM$"
>$COMPLETE-THREAD-LINK-LABEL$</a>]</span>
</DefineVar>

<!-- Make sure subject heading is not too long.
     NOTE: We put the div tag for the message head here since the converted
	   message header cannot be modified after first conversion.
  -->
<SubjectHeader>
<div class="msgSubject">
<h2>$SUBJECTNA:72$</h2>
</div>
<div class="msgLinks">
<table width="100%">
<tr valign="baseline">
<td align="right">$COMPLETE-THREAD-LINK$</td>
</tr></table>
</div>
<!--mha-cisco:msgdata-->
<div class="msgHead">
</SubjectHeader>

<!-- Only show a few message header fields. -->
<FieldOrder>
to
subject
date
from
newsgroups
</FieldOrder>

<LabelStyles>
-default-:strong
</LabelStyles>

<FieldStyles>
subject:strong
</FieldStyles>

<!-- Format message header in a table. -->
<FieldsBeg>
<table class="msgHeadTbl" width="100%">
</FieldsBeg>

<LabelBeg>
<tr valign="baseline">
<th align="left">
</LabelBeg>

<LabelEnd>
:&nbsp;</th>
</LabelEnd>

<FldBeg>
<td align="left" width="100%">
</FldBeg>

<FldEnd>
</td>
</tr>
</FldEnd>

<FieldsEnd>
</table>
</FieldsEnd>

<LabelStyles>
-default-:strong
</LabelStyles>

<!-- Put div markers to close message head and start message body.
  -->
<HeadBodySep>
</div>
<div class="msgBody">
<table class="msgBodyTbl" cellspacing="1" width="100%"><tr><td>
</HeadBodySep>

<!-- Disable explicit follow-up/references section and use $TSLICE$ instead.
  -->
<NoFolRefs>

<!-- Set TSLICE resource to represent default $TSLICE$ behavior and
     mainly to set the maximum message page update ranges when messages
     are added to the archive.  I.e.  The before and after values
     should represent the largest before and after values we will use
     with $TSLICE$.
  -->
<TSlice>
10:10:1
</TSlice>

<!-- We set up slice formatting so current message in thread is not
     hyperlinked and "greyed out".  We could probably use CSS to
     do this, but <font> seems to still work with most popular
     graphical browsers.
  -->
<TSliceBeg>
<ul>
</TSliceBeg>

<TSliceTopBegin>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>
</TSliceTopBegin>

<TSliceLiTxt>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>
</TSliceLiTxt>

<TSliceSingleTxt>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>
</TSliceSingleTxt>

<TSliceTopBeginCur>
<li><span class="sliceCur"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em>&nbsp;<b></span>&lt;=</b>
</TSliceTopBeginCur>

<TSliceLiTxtCur>
<li><span class="sliceCur"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em>&nbsp;<b></span>&lt;=</b>
</TSliceLiTxtCur>

<TSliceSingleTxtCur>
<li><span class="sliceCur"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em>&nbsp;<b></span>&lt;=</b>
</TSliceSingleTxtCur>

<TSliceEnd>
</ul>
</TSliceEnd>

<TPrevInButton chop>
<a href="$MSG(TPREVIN)$"><strong>$PREV-IN-THREAD-LABEL$</strong></a>]
</TPrevInButton>
<TNextInButton>
[<a href="$MSG(TNEXTIN)$"><strong>$NEXT-IN-THREAD-LABEL$</strong></a>
</TNextInButton>

<TPrevInButtonIA chop>
<span class="iaText"><strong>$PREV-IN-THREAD-LABEL$</strong>]</span>
</TPrevInButtonIA>
<TNextInButtonIA chop>
<span class="iaText">[<strong>$NEXT-IN-THREAD-LABEL$</strong></span>
</TNextInButtonIA>

<!-- The TSLICE-LISTING variable represents the thread slice listing
     at the bottom of message pages.  If threading is not needed for
     an archive, this variable can be redefined to the empty string
     in the archive specific resource file.
  -->
<DefineVar chop>
TSLICE-LISTING
<div class="tSlice">
<table cellspacing="1" cellpadding="4" width="100%">
<tr valign="baseline">
<td align="left">$BUTTON(TPREVIN)$</td>
<th align="center" width="100%"><strong>$CURRENT-THREAD-LABEL$</strong></th>
<td align="right">$BUTTON(TNEXTIN)$</td></tr>
<tr class="tSliceList"><td colspan="3">
$TSLICE$
</td></tr>
</table></div>
</DefineVar>

<!-- Modify end of message body to include thread slice.  We also
     include convenient next/prev-in-thread links since scanning
     slice can be inconvenient for simple thread reading.
  -->
<MsgBodyEnd>
$VIEW-ATTACHMENTS$
</td></tr></table>
<!--/mha-cisco:msgdata-->
</div>
$TSLICE-LISTING$
</MsgBodyEnd>

<!-- The following variable represents the index links for use in BOTLINKS.
     We use a variable so archives that disable an index, or add one,
     can just change this variable instead of redefining BOTLINKS.
  -->
<DefineVar chop>
BOTTOM-IDX-LINKS
[<a href="$IDXFNAME$#$MSGNUM$"><strong>$DATE-IDX-BUTTON-LABEL$</strong></a>]
[<a href="$TIDXFNAME$#$MSGNUM$"><strong>$THREAD-IDX-BUTTON-LABEL$</strong></a>]
</DefineVar>

<!-- Use a table to format bottom links
  -->
<PrevLink chop>
<tr valign="baseline">
<th align="right">$PREV-BY-DATE-LABEL$:&nbsp;</th>
<td width="100%"><strong><a href="$MSG(PREV)$">$SUBJECT(PREV)$</a></strong>, <em>$FROMNAME(PREV)$</em></td>
</tr>
</PrevLink>

<NextLink chop>
<tr valign="baseline">
<th align="right">$NEXT-BY-DATE-LABEL$:&nbsp;</th>
<td width="100%"><strong><a href="$MSG(NEXT)$">$SUBJECT(NEXT)$</a></strong>, <em>$FROMNAME(NEXT)$</em></td>
</tr>
</NextLink>

<TPrevLink chop>
<tr valign="baseline">
<th align="right">$PREV-BY-THREAD-LABEL$:&nbsp;</th>
<td width="100%"><strong><a href="$MSG(TPREV)$">$SUBJECT(TPREV)$</a></strong>, <em>$FROMNAME(TPREV)$</em></td>
</tr>
</TPrevLink>

<TNextLink chop>
<tr valign="baseline">
<th align="right">$NEXT-BY-THREAD-LABEL$:&nbsp;</th>
<td width="100%"><strong><a href="$MSG(TNEXT)$">$SUBJECT(TNEXT)$</a></strong>, <em>$FROMNAME(TNEXT)$</em></td>
</tr>
</TNextLink>

<BotLinks>
<div class="botLinks">
<table class="botLinksTbl" width="100%">
$LINK(PREV)$
$LINK(NEXT)$
$LINK(TPREV)$
$LINK(TNEXT)$
<tr valign="baseline">
<th align="right">$INDEXES-LABEL$:&nbsp;</th>
<td>$BOTTOM-IDX-LINKS$</td>
</tr>
</table>
</div>
</BotLinks>
